List all accounts
curl --request GET \
--url https://api.beltic.com/v1/identity/accounts \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.beltic.com/v1/identity/accounts"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.beltic.com/v1/identity/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "account",
"attributes": {
"external_id": "<string>",
"person": {
"name": {
"first": "<string>",
"middle": "<string>",
"last": "<string>"
},
"birth_date": "<string>"
},
"business": {
"legal_name": "<string>",
"registration_date": "<string>",
"shareholders": [
{
"name": "<string>",
"shareholder_type": "<string>",
"date_of_birth": "<string>",
"id_type": "<string>",
"id_number": "<string>",
"number_of_share": "<string>",
"percentage_of_share": 123
}
]
},
"contact": {
"email": "jsmith@example.com",
"phone": "<string>"
},
"address": {
"line1": "<string>",
"line2": "<string>",
"sublocality": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country_code": "<string>"
},
"identity_numbers": [
{
"number": "<string>",
"issuing_country_code": "<string>",
"class": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>",
"redacted_at": "<string>"
},
"relationships": {
"sessions": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
]
},
"documents": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
]
}
}
}
],
"meta": {
"page": {
"cursors": {
"start": "<string>",
"end": "<string>"
},
"hasNextPage": true,
"hasPreviousPage": true,
"total": 123
}
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"id": "<string>",
"code": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"id": "<string>",
"code": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"id": "<string>",
"code": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"id": "<string>",
"code": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
],
"meta": {}
}Identity API — Accounts (Legacy)
List Accounts
Retrieve a list of all accounts with optional filtering
GET
/
v1
/
identity
/
accounts
List all accounts
Authorizations
API key for authentication. Access https://console.beltic.com/ to obtain your API key.
Query Parameters
Number of items per page (default: 15)
Pattern:
^\d+$Example:
"15"
Cursor for fetching items after this point
Example:
"eyJ2YWx1ZXMiOnsiY3JlYXRlZF9hdCI6IjIwMjUtMTAtMjJUMjI6MTM6NDguMTQ5WiJ9LCJpZCI6IjNkZjk3MWQwLWNkNTYtNDAwNi05YmM0LTFjYmMzMjc1OWI2ZiJ9"
Cursor for fetching items before this point
Example:
"eyJ2YWx1ZXMiOnsiY3JlYXRlZF9hdCI6IjIwMjUtMTAtMjJUMjI6MTM6NDguMTQ5WiJ9LCJpZCI6IjNkZjk3MWQwLWNkNTYtNDAwNi05YmM0LTFjYmMzMjc1OWI2ZiJ9"
Include total count in response (may impact performance)
Available options:
true, false Example:
"true"
Filter accounts by status
Available options:
active, inactive, suspended, pending Example:
"active"
Filter accounts by entity type
Available options:
person, business Example:
"person"
Was this page helpful?
⌘I